"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DalConfiguration {
    static Setup(config) {
        this.url = `mongodb://${config.srvIPAddress}:${config.mongodbPort}`;
        this.database = config.mainDb;
        this.username = config.mainDbUsername;
        this.password = config.mainDbPassword;
    }
    static Verify() {
        if (this.url === undefined || this.url.length === 0) {
            throw new Error('No url specified to access mongodb instance');
        }
        if (this.database === undefined || this.url.length === 0) {
            throw new Error('No database specified');
        }
    }
    static SwitchDatabase(database, username, password) {
        this.database = database;
        this.username = username;
        this.password = password;
    }
}
exports.DalConfiguration = DalConfiguration;
//# sourceMappingURL=dal.configuration.js.map