"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const dal_generic_store_1 = require("./../dal.generic.store");
class GuildsStore {
    static set(guildSettings) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.createOrUpdate(this.storeName, { guildId: guildSettings.guildId }, guildSettings);
            return result;
        });
    }
    static getAll() {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getAll(this.storeName);
            return result;
        });
    }
    static get(guildId) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getBy(this.storeName, { guildId: guildId }, {});
            return result[0];
        });
    }
    static remove(guildId) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.remove(this.storeName, { guildId: guildId });
            return result;
        });
    }
}
GuildsStore.storeName = 'guilds';
exports.GuildsStore = GuildsStore;
//# sourceMappingURL=guilds.store.js.map