"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const dal_generic_store_1 = require("./../dal.generic.store");
class PlayerWatchStore {
    static set(guildId, name, watchedPlayer) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.createOrUpdate(this.storeName, { guildId: guildId, name: name }, watchedPlayer);
            return result;
        });
    }
    static getAll() {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getAll(this.storeName);
            return result;
        });
    }
    static get(guildId) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getBy(this.storeName, { guildId: guildId }, { name: 1 });
            return result;
        });
    }
    static remove(guildId, name) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield dal_generic_store_1.GenericStore.remove(this.storeName, { guildId: guildId, name: name });
        });
    }
}
PlayerWatchStore.storeName = 'playerswatch';
exports.PlayerWatchStore = PlayerWatchStore;
//# sourceMappingURL=player.watch.store.js.map