"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const moment = require("moment");
const dal_generic_store_1 = require("./../dal.generic.store");
const cryptoUtil = require("./../../../../util/crypto.util");
class SessionStore {
    static create(guildId) {
        return __awaiter(this, void 0, void 0, function* () {
            let password = [...Array(8)].map(i => (~~(Math.random() * 36)).toString(36)).join('');
            let hash = yield cryptoUtil.hash(password);
            yield dal_generic_store_1.GenericStore.createOrUpdate(this.storeName, { login: guildId }, { login: guildId, password: hash, dateGenerated: moment().toString() });
            return password;
        });
    }
    static get(guildId) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getBy(this.storeName, { login: guildId }, {});
            if (result.length !== 1)
                return null;
            return result[0];
        });
    }
    static getPermissions(login) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getBy(this.storeName, { login: login }, {});
            if (result.length !== 1)
                return null;
            return result[0].roles;
        });
    }
}
SessionStore.storeName = 'sessions';
exports.SessionStore = SessionStore;
//# sourceMappingURL=sessions.store.js.map