"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PersistedTypesValidation {
    static IsActivityCacheItem(obj) {
        return (typeof obj.name === "string" &&
            typeof obj.playersCount === "number");
    }
    static IsGuildActivityCache(obj) {
        if (typeof obj.GuildId !== "string" || !Array.isArray(obj.Cache)) {
            return false;
        }
        for (let i = 0; i < obj.Cache.length; i++) {
            if (!this.IsActivityCacheItem(obj.Cache[i]))
                return false;
        }
        return true;
    }
    static IsGuildConfiguration(obj) {
        if (typeof obj.guildId !== "string" ||
            typeof obj.messagesImage !== "string" ||
            typeof obj.messagesFooterName !== "string" ||
            typeof obj.scanMainRegionName !== "string" ||
            typeof obj.mainChannelName !== "string" ||
            typeof obj.adminChannelName !== "string" ||
            typeof obj.emergencyChannelName !== "string" ||
            typeof obj.acknowledged !== "string" ||
            typeof obj.activityNoticeMinPlayers !== "number" ||
            typeof obj.commandsPrefix !== "string" ||
            !Array.isArray(obj.activityNoticeMessages)) {
            return false;
        }
        for (let i = 0; i < obj.activityNoticeMessages.length; i++) {
            if (typeof obj.activityNoticeMessages[i] !== "string")
                return false;
        }
        return true;
    }
    static IsLastFetch(obj) {
        return (typeof obj.target === "string" &&
            typeof obj.date === "string");
    }
    static IsOnlinePlayer(obj) {
        return (typeof obj.Time === "string" &&
            typeof obj.Name === "string" &&
            typeof obj.System === "string" &&
            typeof obj.Region === "string" &&
            typeof obj.Ping === "number");
    }
    static IsWatchedFaction(obj) {
        if (typeof obj.guildId !== "string" ||
            typeof obj.name !== "string" ||
            typeof obj.alwaysDisplay !== "boolean" ||
            !Array.isArray(obj.tags)) {
            return false;
        }
        for (let i = 0; i < obj.tags.length; i++) {
            if (typeof obj.tags[i] !== "string")
                return false;
        }
        return true;
    }
    static IsWatchedPlayer(obj) {
        if (typeof obj.guildId !== "string" ||
            typeof obj.name !== "string" ||
            typeof obj.comment !== "string")
            return false;
        return true;
    }
    static IsWatchedRegion(obj) {
        if (typeof obj.guildId !== "string" ||
            typeof obj.name !== "string" ||
            typeof obj.alwaysDisplay !== "boolean" ||
            !Array.isArray(obj.systems) ||
            typeof obj.showPlayers !== "boolean") {
            return false;
        }
        for (let i = 0; i < obj.systems.length; i++) {
            if (typeof obj.systems[i] !== "string")
                return false;
        }
        return true;
    }
    static IsSession(obj) {
        if (typeof obj.login !== "string" ||
            typeof obj.password !== "string" ||
            typeof obj.dateGenerated !== "string" ||
            !Array.isArray(obj.roles))
            return false;
        for (let i = 0; i < obj.roles.length; i++) {
            if (typeof obj.roles[i] !== "string")
                return false;
        }
        return true;
    }
    static IsStarSystem(obj) {
        if (typeof obj.nickName !== "string" ||
            typeof obj.name !== "string" ||
            typeof obj.posX !== "number" ||
            typeof obj.posY !== "number")
            return false;
        return true;
    }
}
exports.PersistedTypesValidation = PersistedTypesValidation;
//# sourceMappingURL=persisted.types.validation.js.map