"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const bcrypt = require("bcrypt");
function hash(data) {
    return __awaiter(this, void 0, void 0, function* () {
        let salt = yield bcrypt.genSalt(12);
        let hash = yield bcrypt.hash(data, salt);
        return hash;
    });
}
exports.hash = hash;
function verify(data, hash) {
    return __awaiter(this, void 0, void 0, function* () {
        let result = yield bcrypt.compare(data, hash);
        return result;
    });
}
exports.verify = verify;
//# sourceMappingURL=crypto.util.js.map