export declare class ActivityCacheItem {
    name: string;
    playersCount: number;
}
export declare class GuildActivityCache {
    guildId: string;
    lastMessageId: string;
    cache: Array<ActivityCacheItem>;
}
export declare class GuildConfiguration {
    guildId: string;
    messagesImage: string;
    messagesFooterName: string;
    scanMainRegionName: string;
    mainChannelName: string;
    adminChannelName: string;
    emergencyChannelName: string;
    acknowledged: string;
    activityNoticeMinPlayers: number;
    activityNoticeMessages: Array<string>;
    commandsPrefix: string;
}
export declare class LastFetch {
    target: string;
    date: string;
}
export declare class OnlinePlayer {
    Time: string;
    Name: string;
    System: string;
    Region: string;
    Ping: number;
}
export declare class WatchedFaction {
    guildId: string;
    name: string;
    tags: Array<string>;
    alwaysDisplay: boolean;
}
export declare class WatchedPlayer {
    guildId: string;
    name: string;
    comment: string;
}
export declare class WatchedRegion {
    guildId: string;
    name: string;
    systems: Array<string>;
    alwaysDisplay: boolean;
    showPlayers: boolean;
}
export declare class Session {
    login: string;
    password: string;
    roles: string[];
    dateGenerated: string;
}
export declare class StarSystem {
    nickName: string;
    name: string;
    posX: number;
    posY: number;
}
